From 263f2756f3bae81a531a3d509bec9a570a8e9b8d Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Feb 09 2016 18:35:08 +0000
Subject: [PATCH 287/1001] Use short title in the link but the full one in the title of the link


---

diff --git a/hubs/widgets/pagureissues.py b/hubs/widgets/pagureissues.py
index 58a03fc..04294be 100644
--- a/hubs/widgets/pagureissues.py
+++ b/hubs/widgets/pagureissues.py
@@ -42,7 +42,8 @@ template = jinja2.Template("""
           <td>
             <span class="label label-default">#{{ issue['issue_id'] }}</span>
             <a href="https://pagure.io/{{ repo }}/pull-request/{{
-             issue['issue_id'] }}" target="_blank">
+             issue['issue_id'] }}" target="_blank"
+             title="{{ issue['issue_title_full'] }}">>
               {{ issue['issue_title'] }} ...
             </a>
           </td>
@@ -112,7 +113,8 @@ def data(session, widget, repo):
             issue_project_name=issue_project_name,
             issue_project_user=issue_project_user,
             issue_id=issue['id'],
-            issue_title=issue['title'],
+            issue_title=issue['title'][:45],
+            issue_title_full=issue['title'],
             issue_openedby=issue['user']['name'],
             issue_assignee=issue_assignee,
           )

